@echo off
cls
echo.
echo.
echo.
echo.
echo.
echo    确定要恢复系统吗?
echo.
echo    确定请按 Y + 回车
echo.
echo    取消请按 N + 回车
echo.

set /p a="   请输入："
if "%a%" == "y" goto :Yes
if "%a%" == "Y" goto :Yes

:NO
set a=
echo.
echo.
echo " 谢谢使用！！"
pause
goto :eof

:Yes

cls
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo "请重新起电脑，电脑会自动恢复系统。"
echo.
echo "如有重要文件需要保存，在重新起动前保存到D盘或其它位置"
echo.
pause
c:
cd\
attrib -s -r -h boot.ini
del boot.ini
cd ghostfile
copy hfmenu.lst c:\menu.lst > nul
copy hfboot.ini c:\ > nul
cd\
ren hfboot.ini boot.ini
attrib +r +s +h boot.ini
set a=
goto :eof